Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Error solved - Magento 1.5 / 1.5.3 upgraded to PHP 5.4
 
jurru
Jr. Member
 
Total Posts:  9
Joined:  2009-01-15
 

Hi there!
A couple of days the hosting upgraded to PHP 5.4 and the site didn\\\’t work. In simple steps I got the following errors and this is how I solved them:

Error:

SQLSTATE[HY000] [2054] The server requested authentication method unknown to the client

How to solve:
1. Enter the cPanel and and go to your MySql databases.
2. Change the password of your DB user. Or create a new one. (you must do this because the encription has changed)
3. If you created a new user/pass, assign them to the magennto DB.
4. Enter your FTP and change in local.xml your password/ or user/pass if you have a new user
5. Erase the cache folder

Error:

Can't retrieve entity config: core/store_group

How to solve:
1. Go to magento website and download the latest stable version
2. copy the folder lib/varien/SimpleXML over yours
3. erase the cache folder

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top